garcon (4.20.0-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:33:42 +0100

garcon (4.20.0-1) unstable; urgency=medium

  * New upstream version 4.20.0
  * Upload to unstable

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 18 Dec 2024 20:44:03 +0100

garcon (4.19.3-1) experimental; urgency=medium

  * Team upload.

  [ Mateusz Łukasik ]
  * New upstream version 4.19.2.
  * Bump Standards-Version to 4.7.0.

  [ Unit 193 ]
  * New upstream version 4.19.3.
  * d/control:
    - Refresh introspection packaging.
    - Drop libgarcon-1-0-dev transitional package.
    - Update B-D, pkg-config → pkgconf.

 -- Unit 193 <unit193@debian.org>  Sun, 15 Dec 2024 00:10:45 -0500

garcon (4.19.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.19.1.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 18 Mar 2024 02:12:25 -0400

garcon (4.19.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.19.0.
  * d/control: Replace intltool with gettext.

 -- Unit 193 <unit193@debian.org>  Thu, 17 Aug 2023 23:38:15 -0400

garcon (4.18.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.1.
  * Bump Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Tue, 13 Jun 2023 02:11:17 -0400

garcon (4.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.0.
  * d/rules: Opt-out of trimmed changelogs, install NEWS as changelog.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Dec 2022 05:28:03 -0500

garcon (4.17.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.17.3.

 -- Unit 193 <unit193@debian.org>  Mon, 05 Dec 2022 02:01:30 -0500

garcon (4.17.2-1) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Set upstream metadata fields:  Bug-Submit, Name (both from ./configure).

  [ Unit 193 ]
  * New upstream version 4.17.2.
  * d/rules: Remove .la files after install.

 -- Unit 193 <unit193@debian.org>  Tue, 01 Nov 2022 05:47:35 -0400

garcon (4.17.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.17.1.
  * d/libgarcon-1-0.symbols: Add two new symbols.
  * d/control: Bump DH compat to 13, drop old versioned B-D.
  * d/rules: Drop --as-needed, default in stable now.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Tue, 12 Jul 2022 23:41:15 -0400

garcon (4.16.1-1) unstable; urgency=medium

  * New upstream version 4.16.1

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 18 Jan 2021 20:21:34 +0100

garcon (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 23 Dec 2020 13:23:39 +0100

garcon (0.7.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 0.7.3.
  * d/control: Bump libxfce4ui-2-dev, libxfce4util-dev B-D.
  * d/libgarcon-common.install: Install usr/share/icons/hicolor/ too.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Wed, 16 Dec 2020 19:11:58 -0500

garcon (0.7.2-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.7.2.
  * d/watch: Use uscan special strings.
  * d/control: Update 'Homepage' field to point to docs.xfce.org.

 -- Unit 193 <unit193@debian.org>  Tue, 10 Nov 2020 21:57:43 -0500

garcon (0.7.1-1) experimental; urgency=medium

  * Team upload.
  * d/watch: Update for upstream's move to mirrorbit.
  * New upstream version 0.7.1.
  * d/control:
    - Drop obsolete dpkg-dev, libgtk2.0-dev and libxfce4ui-1-dev Build-Depends.
    - Bump DH compat to 12.
    - R³: no.
  * d/libgarcon-1-(dev,0).(install,symbols): Drop GTK2 library.
  * d/*.symbols: Add new symbol and set Build-Depends-Package.
  * d/control, d/libgarcon-(,gtk3-)1-dev.install, d/rules:
    - Enable and install introspection support.
  * Update Standards-Version to 4.5.0.
  * Remove trailing whitespace from previous changelog entry.

 -- Unit 193 <unit193@debian.org>  Thu, 17 Sep 2020 18:08:09 -0400

garcon (0.6.4-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream version 0.6.4
  * d/rules:
    - Pass '--enable-gtk-doc' during configure to fix consecutive builds.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 15 Aug 2019 11:10:10 +0200

garcon (0.6.3-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream version 0.6.3
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 11.
  * d/control: Build-depend on gtk-doc-tools and xfce4-dev-tools.
  * d/rules:
    - Drop the now-default options '--parallel' and '--disable-silent-rules'.
    - Drop dbgsym migration, it is complete.
    - Use dh_missing instead of dh_install --fail-missing.
  * Bump Standards-Version to 4.4.0.

  [ Helmut Grohne ]
  * Fix cross build issues:                                     closes: #890223
    + Switch transitional package libgarcon-1-0-dev to Architecture: any to
      allow satisfying dependencies from non-native architectures. It cannot
      be Multi-Arch: foreign due to its dependency on libgarcon-1-dev.
    + Mark libgarcon-common Multi-Arch: foreign to allow satisfying
      dependencies from non-native architectures.
    + Mark all other packages Multi-Arch: same to allow coinstallation.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 13 Jul 2019 13:26:02 +0200

garcon (0.6.2-1) unstable; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
                                                                closes: #899857
  * d/gbp.conf added, following DEP-14
  * d/watch: use HTTPS protocol
  * New upstream version 0.6.2
  * d/control: drop Lionel from uploaders, thanks!
  * d/control: update standards version to 4.3.0
  * d/libgarcon-1-0.symbols updated for new release
  * d/control: drop priority for libgarcon-1-0-dev

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 27 Dec 2018 13:23:47 +0100

garcon (0.6.1-2) unstable; urgency=medium

  [ Unit 193 ]
  * d/control:
    - Add versioned breaks/replaces on libgarcon-1-0-dev.       closes: #868626

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 03 Sep 2017 19:14:03 +0200

garcon (0.6.1-1) unstable; urgency=medium

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/control:
    - add build-dep on libgtk-3-dev and libxfce4ui-2 for the GTK3 variant
    - run wrap-and-sort
    - update standards version to 3.9.8.
  * debian/copyright: run wrap-and-sort.
  * debian/libgarcon-common.install: run wrap-and-sort.
  * debian/control:
    - introduce libgarcon-gtk3 and -dev packages.
    - rename libgarcon-1-0-dev to libgarcon-1-dev for consistency.
    - update standards version to 4.0.0.

  [ Unit 193 ]
  * d/control, d/rules: Migrate to dbgsym packages.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 21 Jun 2017 15:04:21 +0200

garcon (0.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 15:52:08 +0200

garcon (0.4.0-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * Bump standards version to 3.9.6

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 08 Mar 2015 20:22:03 +0100

garcon (0.3.0-1) experimental; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * Bump standards version to 3.9.5
  * debian/rules: Use disable-silent-rules
  * New upstream release
  * Update symbols

  [ Yves-Alexis Perez ]
  * debian/control:
    - add build-dep on libxfce4ui-1-dev.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 Feb 2014 21:05:05 +0100

garcon (0.2.1-2) unstable; urgency=medium

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * Bump standards version to 3.9.5
  * debian/rules: Use disable-silent-rules

  [ Yves-Alexis Perez ]
  * debian/rules:
    - call dh-autoreconf to regenerate config.{guess,sub} and fix FTBFS on
      ppc64el.                                                  closes: #757334
    - call xdt-autogen before configure
  * debian/control:
    - add build-dep on xfce4-dev-tools, dh-autoreconf, gtk-doc-tools and
      intltool for all the above.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 31 Aug 2014 23:15:46 +0200

garcon (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/rules:
    - enable all hardening flags.
  * debian/libgarcon-1-0-dev.install:
    - static files are not built anymore, don't try to install them.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 21 May 2013 22:12:35 +0200

garcon (0.2.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control: revert b-dep to unversioned libxfce4util -dev package, and
    require >= 4.10.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sat, 05 May 2012 09:43:43 +0200

garcon (0.1.12-1+exp1) experimental; urgency=low

  * New upstream release.
  * debian/copyright: replace CRLFs with LFs…

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 15 Apr 2012 15:36:53 +0200

garcon (0.1.12-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream release.

  [ Yves-Alexis Perez ]
  * debian/rules:
    - build with --parallel.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 05 May 2012 14:45:29 +0200

garcon (0.1.11-1+exp1) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream release.
  * debian/README.source: dropped, unneeded.
  * debian/rules: fix path to .la files to ignore.
  * debian/control: build-dep on libxfce4util6-dev to start using the new API.

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.3.
  * debian/rules:
    - build with --parallel.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 08 Apr 2012 16:24:43 +0200

garcon (0.1.11-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream release.
  * debian/README.source: dropped, unneeded.
  * debian/rules: fix path to .la files to ignore.

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.3.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 01 Apr 2012 14:25:19 +0200

garcon (0.1.10-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - use debhelper 9 hardening support.
  * Fix paths for multiarch dirs.
  * debian/compat bumped to 9.
  * debian/control:
    - drop hardening-includes build-dep.
    - update debhelper build-dep to 9 for hardening support.
    - add dpkg-dev 1.16.1 build-dep for hardening support.
    - pre-depends on multiarch-support.
  * debian/watch: updated, garcon moved to core.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 19 Feb 2012 18:59:34 +0100

garcon (0.1.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - add build-dep on libxfce4util.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 12 Sep 2011 22:59:30 +0200

garcon (0.1.8-1) unstable; urgency=low

  * New upstream release.
    - remove science toplevel category.                         closes: #315085

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Mon, 20 Jun 2011 22:39:08 +0200

garcon (0.1.7-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * debian/libgarcon-1-0.symbols: added.

  [ Yves-Alexis Perez ]
  * New upstream release.
  * Upload to unstable.
  * debian/control:
    - remove Emanuele, Simon and Mike from uploaders.
    - update standards version to 3.9.2.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 16:07:51 +0200

garcon (0.1.5-1) experimental; urgency=low

  * Initial release.                                            Closes: #612090

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 06 Feb 2011 17:05:17 +0100
